Skip to main content
`Ctrl`+`K`

# scipy.special.hankel1e

scipy.special.hankel1e(v, z, out=None) = <ufunc 'hankel1e'>

  Exponentially scaled Hankel function of the first kind

  Defined as:

      hankel1e(v, z) = hankel1(v, z) * exp(-1j * z)

  Parameters:
    v array_like

      Order (float).

    z array_like

      Argument (float or complex).

    out ndarray, optional

      Optional output array for the function values

  Returns:
    scalar or ndarray

      Values of the exponentially scaled Hankel function.

  Notes

  A wrapper for the AMOS [1] routine zbesh, which carries out the computation using the relation,

  \[H^{(1)}_v(z) = \frac{2}{\imath\pi} \exp(-\imath \pi v/2) K_v(z \exp(-\imath\pi/2))\]

  where \(K_v\) is the modified Bessel function of the second kind. For negative orders, the relation

  \[H^{(1)}_{-v}(z) = H^{(1)}_v(z) \exp(\imath\pi v)\]

  is used.

  References

  [1]

  Donald E. Amos, “AMOS, A Portable Package for Bessel Functions of a Complex Argument and Nonnegative Order”, http://netlib.org/amos/